@import '../../../mixins/positions';
@import '../../../mixins/general';
@import '../../../mixins/lists';

.grid_list {
  @include listAsGrid(4);
}

.gallery_box_wrapper {
  position: relative;
  width: 25%;
  @include boxSize();
  display: inline-block;
  cursor: pointer;
}

.gallery_box_wrapper:before {
  content: "";
  display: inline-block;
  padding-top: 99%;
  cursor: pointer;
}

.gallery_box {
  cursor: pointer;
  position: absolute;
  top: 0px;
  bottom: 0px;
  left: 0px;
  right: 0px;
  @include boxSize();
  background-color: #ededed;
  text-align: center;
  overflow: hidden;
  display: block;

  h3 {
    cursor: pointer;
  }
}

.dropzone {
  @include boxSize();
  border: 3px solid #cdcdcd;
  position: absolute;
  top: 0;
  bottom: 0;
  right: 0;
  left: 0;
  cursor: pointer;
}

.gallery_new {
  h3 {
    vertical-align: middle;
    margin-top: 47%;
    font-size: 15pt;
  }
}

.validation_failed input[type="text"]{
  border-color: red;
}

.admin_btns {
  position: absolute;
  right: space();
  top: space();
}

.gallery .header {
  @include border-bottom();

  .title {
    display: inline-block;
    @include font(xx-large, light);
    padding-bottom: 1px;
    width: 75%;
  }

  input[type="text"] {
    font-weight: 200;
    padding: space(none);
    @include border-bottom(turquoise);
  }

  p {
    padding: space(medium, 0.5);
    padding-bottom: space(none);
    font-style: italic;
  }

  .admin_btns {

  }
}